# TdApi.GetLocalizationTargetInfo (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetLocalizationTargetInfo

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetLocalizationTargetInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.LocalizationTargetInfo>
it.tdlight.jni.TdApi.GetLocalizationTargetInfo

Enclosing class:
  TdApi

public static final class TdApi.GetLocalizationTargetInfo extends TdApi.Function<TdApi.LocalizationTargetInfo>
Returns information about the current localization target. This is an offline request if onlyLocal is true. Can be called before authorization.

Returns `LocalizationTargetInfo`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`onlyLocal`
Pass true to get only locally available information without sending network requests.

## Constructor Summary

Constructors
Constructor
Description
`GetLocalizationTargetInfo()`
Returns information about the current localization target.
`GetLocalizationTargetInfo(boolean onlyLocal)`
Returns information about the current localization target.
`GetLocalizationTargetInfo(DataInput input)`
Returns information about the current localization target.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### onlyLocal

public boolean onlyLocal
Pass true to get only locally available information without sending network requests.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetLocalizationTargetInfo

public GetLocalizationTargetInfo()
Returns information about the current localization target. This is an offline request if onlyLocal is true. Can be called before authorization.

Returns `LocalizationTargetInfo`

### GetLocalizationTargetInfo

public GetLocalizationTargetInfo(boolean onlyLocal)
Returns information about the current localization target. This is an offline request if onlyLocal is true. Can be called before authorization.

Returns `LocalizationTargetInfo`

Parameters:
  `onlyLocal` - Pass true to get only locally available information without sending network requests.

  Returns `LocalizationTargetInfo`

### GetLocalizationTargetInfo

public GetLocalizationTargetInfo(DataInput input) throws IOException
Returns information about the current localization target. This is an offline request if onlyLocal is true. Can be called before authorization.

Returns `LocalizationTargetInfo`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`